OPTIONAL
SYNOPSIS
        mixed * intersect_alist(mixed * list1, mixed * list2)

DESCRIPTION
        Does a fast set intersection on alist key vectors (NOT on full alists!).
        The operator '&' does set intersection on arrays in general.

        The function is available only if the driver is compiled with
        alist support. In that case, __ALISTS__ is defined.

EXAMPLES
        new_list = intersect_alist(list1, list2);

HISTORY
        LDMud 3.3 made this an optional efun.

SEE ALSO
        filter_array(E), assoc(E), insert_alist(E), map_array(E),
        member_array(E), order_alist(E), sort_array(E), unique_array(E)
